Index: trunk/source/processes/hadronic/models/high_energy/include/G4HEKaonPlusInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/include/G4HEKaonPlusInelastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/include/G4HEKaonPlusInelastic.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEKaonPlusInelastic.hh,v 1.14 2007/04/11 18:11:30 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/include/G4HEKaonZeroInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/include/G4HEKaonZeroInelastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/include/G4HEKaonZeroInelastic.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEKaonZeroInelastic.hh,v 1.13 2007/04/11 18:11:30 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/include/G4HEKaonZeroLongInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/include/G4HEKaonZeroLongInelastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/include/G4HEKaonZeroLongInelastic.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HEKaonZeroLongInelastic.hh,v 1.15 2010/02/09 21:58:09 dennis Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/include/G4HEKaonZeroShortInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/include/G4HEKaonZeroShortInelastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/include/G4HEKaonZeroShortInelastic.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HEKaonZeroShortInelastic.hh,v 1.15 2010/02/09 21:58:33 dennis Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/include/G4HELambdaInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/include/G4HELambdaInelastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/include/G4HELambdaInelastic.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HELambdaInelastic.hh,v 1.14 2007/04/11 18:11:30 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/include/G4HENeutronInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/include/G4HENeutronInelastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/include/G4HENeutronInelastic.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HENeutronInelastic.hh,v 1.15 2007/04/11 18:11:30 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/include/G4HEOmegaMinusInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/include/G4HEOmegaMinusInelastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/include/G4HEOmegaMinusInelastic.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEOmegaMinusInelastic.hh,v 1.14 2007/04/11 18:11:30 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/include/G4HEPionMinusInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/include/G4HEPionMinusInelastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/include/G4HEPionMinusInelastic.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEPionMinusInelastic.hh,v 1.15 2007/04/11 18:11:30 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/include/G4HEPionPlusInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/include/G4HEPionPlusInelastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/include/G4HEPionPlusInelastic.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEPionPlusInelastic.hh,v 1.15 2007/04/11 18:11:30 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/include/G4HEPlot.hh
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/include/G4HEPlot.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/include/G4HEPlot.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEPlot.hh,v 1.9 2006/06/29 20:29:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/include/G4HEProtonInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/include/G4HEProtonInelastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/include/G4HEProtonInelastic.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEProtonInelastic.hh,v 1.15 2007/04/11 18:11:30 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/include/G4HESigmaMinusInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/include/G4HESigmaMinusInelastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/include/G4HESigmaMinusInelastic.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HESigmaMinusInelastic.hh,v 1.14 2007/04/11 18:11:30 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/include/G4HESigmaPlusInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/include/G4HESigmaPlusInelastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/include/G4HESigmaPlusInelastic.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HESigmaPlusInelastic.hh,v 1.14 2007/04/11 18:11:30 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/include/G4HESigmaZeroInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/include/G4HESigmaZeroInelastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/include/G4HESigmaZeroInelastic.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HESigmaZeroInelastic.hh,v 1.14 2007/04/11 18:11:30 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/include/G4HEVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/include/G4HEVector.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/include/G4HEVector.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEVector.hh,v 1.12 2006/06/29 20:29:48 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/include/G4HEXiMinusInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/include/G4HEXiMinusInelastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/include/G4HEXiMinusInelastic.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEXiMinusInelastic.hh,v 1.14 2007/04/11 18:11:30 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/include/G4HEXiZeroInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/include/G4HEXiZeroInelastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/include/G4HEXiZeroInelastic.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEXiZeroInelastic.hh,v 1.14 2007/04/11 18:11:30 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiKaonZeroInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiKaonZeroInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiKaonZeroInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEAntiKaonZeroInelastic.cc,v 1.16 2010/02/09 22:02:04 dennis Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiLambdaInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiLambdaInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiLambdaInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEAntiLambdaInelastic.cc,v 1.15 2008/03/17 20:49:17 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiNeutronInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiNeutronInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiNeutronInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEAntiNeutronInelastic.cc,v 1.15 2008/03/17 20:49:17 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiOmegaMinusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiOmegaMinusInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiOmegaMinusInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEAntiOmegaMinusInelastic.cc,v 1.15 2008/03/17 20:49:17 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiProtonInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiProtonInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiProtonInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEAntiProtonInelastic.cc,v 1.14 2008/03/17 20:49:17 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiSigmaMinusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiSigmaMinusInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiSigmaMinusInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEAntiSigmaMinusInelastic.cc,v 1.15 2008/03/17 20:49:17 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiSigmaPlusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiSigmaPlusInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiSigmaPlusInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEAntiSigmaPlusInelastic.cc,v 1.15 2008/03/17 20:49:17 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiSigmaZeroInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiSigmaZeroInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiSigmaZeroInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEAntiSigmaZeroInelastic.cc,v 1.10 2006/06/29 20:30:08 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiXiMinusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiXiMinusInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiXiMinusInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEAntiXiMinusInelastic.cc,v 1.15 2008/03/17 20:49:17 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiXiZeroInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiXiZeroInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HEAntiXiZeroInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEAntiXiZeroInelastic.cc,v 1.15 2008/03/17 20:49:17 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HEKaonMinusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HEKaonMinusInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HEKaonMinusInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEKaonMinusInelastic.cc,v 1.14 2008/03/17 20:49:17 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HEKaonPlusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HEKaonPlusInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HEKaonPlusInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEKaonPlusInelastic.cc,v 1.14 2008/03/17 20:49:17 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HEKaonZeroInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HEKaonZeroInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HEKaonZeroInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEKaonZeroInelastic.cc,v 1.16 2010/02/09 22:02:20 dennis Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HEKaonZeroLongInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HEKaonZeroLongInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HEKaonZeroLongInelastic.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HEKaonZeroLongInelastic.cc,v 1.11 2010/02/09 21:59:10 dennis Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HEKaonZeroShortInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HEKaonZeroShortInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HEKaonZeroShortInelastic.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HEKaonZeroShortInelastic.cc,v 1.11 2010/02/09 21:58:57 dennis Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HELambdaInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HELambdaInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HELambdaInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HELambdaInelastic.cc,v 1.15 2008/03/17 20:49:17 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HENeutronInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HENeutronInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HENeutronInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HENeutronInelastic.cc,v 1.15 2008/03/17 20:49:17 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HEOmegaMinusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HEOmegaMinusInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HEOmegaMinusInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEOmegaMinusInelastic.cc,v 1.15 2008/03/17 20:49:17 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HEPionMinusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HEPionMinusInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HEPionMinusInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEPionMinusInelastic.cc,v 1.15 2008/03/17 20:49:17 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 
 // 11-OCT-2007 F.W. Jones: fixed incorrect Imax (should be Imin) in
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HEPionPlusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HEPionPlusInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HEPionPlusInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEPionPlusInelastic.cc,v 1.15 2008/03/17 20:49:17 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HEPlot.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HEPlot.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HEPlot.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEPlot.cc,v 1.11 2006/06/29 20:30:36 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HEProtonInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HEProtonInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HEProtonInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEProtonInelastic.cc,v 1.14 2008/03/17 20:49:17 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HESigmaMinusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HESigmaMinusInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HESigmaMinusInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HESigmaMinusInelastic.cc,v 1.15 2008/03/17 20:49:17 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HESigmaPlusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HESigmaPlusInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HESigmaPlusInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HESigmaPlusInelastic.cc,v 1.15 2008/03/17 20:49:17 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HESigmaZeroInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HESigmaZeroInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HESigmaZeroInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HESigmaZeroInelastic.cc,v 1.11 2006/06/29 20:30:44 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HEVector.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HEVector.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HEVector.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEVector.cc,v 1.20 2006/11/22 23:52:32 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HEXiMinusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HEXiMinusInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HEXiMinusInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEXiMinusInelastic.cc,v 1.15 2008/03/17 20:49:17 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/high_energy/src/G4HEXiZeroInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/high_energy/src/G4HEXiZeroInelastic.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/high_energy/src/G4HEXiZeroInelastic.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HEXiZeroInelastic.cc,v 1.15 2008/03/17 20:49:17 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/im_r_matrix/include/G4CollisionInitialState.hh
===================================================================
--- trunk/source/processes/hadronic/models/im_r_matrix/include/G4CollisionInitialState.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/im_r_matrix/include/G4CollisionInitialState.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CollisionInitialState.hh,v 1.5 2010/03/12 15:45:18 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // $Id: G4CollisionInitialState.hh,v 1.0 1998/06/30
Index: trunk/source/processes/hadronic/models/im_r_matrix/include/G4ListOfCollisions.hh
===================================================================
--- trunk/source/processes/hadronic/models/im_r_matrix/include/G4ListOfCollisions.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/im_r_matrix/include/G4ListOfCollisions.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ListOfCollisions.hh,v 1.2 2010/03/12 15:45:18 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // $Id: G4ListOfCollisions.hh,v 1.0 1998/06/30
Index: trunk/source/processes/hadronic/models/incl/History
===================================================================
--- trunk/source/processes/hadronic/models/incl/History	(revision 1326)
+++ trunk/source/processes/hadronic/models/incl/History	(revision 1337)
@@ -4,5 +4,5 @@
      Geant4 - an Object-Oriented Toolkit for Physics Simulation
      ==========================================================
-$Id: History,v 1.27 2010/04/27 16:02:37 kaitanie Exp $
+$Id: History,v 1.28 2010/06/14 16:10:01 gcosmo Exp $
 ---------------------------------------------------------------------
 
@@ -16,4 +16,9 @@
    * Please list in reverse chronological order (last date on top)
    ---------------------------------------------------------------
+
+14 June 2010 - Gabriele Cosmo (hadr-incl-V09-03-01)
+------------------------------------------------------
+- Added missing virtual destructor to G4AblaFissionBase,
+  G4InclAblaVirtualData and G4InclRandomNumbers.
 
 27 April 2010 - Pekka Kaitaniemi (hadr-incl-V09-03-00)
Index: trunk/source/processes/hadronic/models/incl/include/G4AblaFissionBase.hh
===================================================================
--- trunk/source/processes/hadronic/models/incl/include/G4AblaFissionBase.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/incl/include/G4AblaFissionBase.hh	(revision 1337)
@@ -24,5 +24,5 @@
 // ********************************************************************
 //
-// $Id: G4AblaFissionBase.hh,v 1.2 2008/06/25 17:20:04 kaitanie Exp $ 
+// $Id: G4AblaFissionBase.hh,v 1.3 2010/06/14 16:10:01 gcosmo Exp $ 
 // Translation of INCL4.2/ABLA V3 
 // Pekka Kaitaniemi, HIP (translation)
@@ -43,6 +43,6 @@
 
 public:
-  G4AblaFissionBase() {}
-  ~G4AblaFissionBase() {}
+  G4AblaFissionBase();
+  virtual ~G4AblaFissionBase();
 
   virtual void doFission(G4double &A, G4double &Z, G4double &E,
Index: trunk/source/processes/hadronic/models/incl/include/G4InclAblaDataFile.hh
===================================================================
--- trunk/source/processes/hadronic/models/incl/include/G4InclAblaDataFile.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/incl/include/G4InclAblaDataFile.hh	(revision 1337)
@@ -24,5 +24,5 @@
 // ********************************************************************
 //
-// $Id: G4InclAblaDataFile.hh,v 1.2 2007/10/31 10:44:22 miheikki Exp $ 
+// $Id: G4InclAblaDataFile.hh,v 1.3 2010/06/14 16:10:01 gcosmo Exp $ 
 // Translation of INCL4.2/ABLA V3 
 // Pekka Kaitaniemi, HIP (translation)
@@ -43,4 +43,5 @@
 public:
   G4InclAblaDataFile();
+ ~G4InclAblaDataFile();
 
   /**
Index: trunk/source/processes/hadronic/models/incl/include/G4InclAblaVirtualData.hh
===================================================================
--- trunk/source/processes/hadronic/models/incl/include/G4InclAblaVirtualData.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/incl/include/G4InclAblaVirtualData.hh	(revision 1337)
@@ -24,5 +24,5 @@
 // ********************************************************************
 //
-// $Id: G4InclAblaVirtualData.hh,v 1.5 2008/06/25 17:20:04 kaitanie Exp $ 
+// $Id: G4InclAblaVirtualData.hh,v 1.6 2010/06/14 16:10:01 gcosmo Exp $ 
 // Translation of INCL4.2/ABLA V3 
 // Pekka Kaitaniemi, HIP (translation)
@@ -47,7 +47,8 @@
 
   /**
-   * Constructor
+   * Constructor, destructor
    */
   G4InclAblaVirtualData();
+  virtual ~G4InclAblaVirtualData();
 
 public:
Index: trunk/source/processes/hadronic/models/incl/include/G4InclRandomNumbers.hh
===================================================================
--- trunk/source/processes/hadronic/models/incl/include/G4InclRandomNumbers.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/incl/include/G4InclRandomNumbers.hh	(revision 1337)
@@ -24,5 +24,5 @@
 // ********************************************************************
 //
-// $Id: G4InclRandomNumbers.hh,v 1.3 2008/06/25 17:20:04 kaitanie Exp $
+// $Id: G4InclRandomNumbers.hh,v 1.4 2010/06/14 16:10:01 gcosmo Exp $
 // Translation of INCL4.2/ABLA V3 
 // Pekka Kaitaniemi, HIP (translation)
@@ -48,5 +48,5 @@
   }
 
-  ~G4InclRandomInterface() { }
+  virtual ~G4InclRandomInterface() { }
 
   /**
Index: trunk/source/processes/hadronic/models/incl/src/G4InclAblaDataFile.cc
===================================================================
--- trunk/source/processes/hadronic/models/incl/src/G4InclAblaDataFile.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/incl/src/G4InclAblaDataFile.cc	(revision 1337)
@@ -24,5 +24,5 @@
 // ********************************************************************
 //
-// $Id: G4InclAblaDataFile.cc,v 1.8 2010/04/27 16:02:37 kaitanie Exp $ 
+// $Id: G4InclAblaDataFile.cc,v 1.9 2010/06/14 16:10:01 gcosmo Exp $ 
 // Translation of INCL4.2/ABLA V3 
 // Pekka Kaitaniemi, HIP (translation)
@@ -36,7 +36,11 @@
 #include <fstream>
 
-G4InclAblaDataFile::G4InclAblaDataFile()
+G4InclAblaDataFile::G4InclAblaDataFile() : G4InclAblaVirtualData()
 {
   verboseLevel = 0;
+}
+
+G4InclAblaDataFile::~G4InclAblaDataFile()
+{
 }
 
Index: trunk/source/processes/hadronic/models/incl/src/G4InclAblaVirtualData.cc
===================================================================
--- trunk/source/processes/hadronic/models/incl/src/G4InclAblaVirtualData.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/incl/src/G4InclAblaVirtualData.cc	(revision 1337)
@@ -24,5 +24,5 @@
 // ********************************************************************
 //
-// $Id: G4InclAblaVirtualData.cc,v 1.2 2007/09/11 13:19:25 miheikki Exp $ 
+// $Id: G4InclAblaVirtualData.cc,v 1.3 2010/06/14 16:10:01 gcosmo Exp $ 
 // Translation of INCL4.2/ABLA V3 
 // Pekka Kaitaniemi, HIP (translation)
@@ -33,8 +33,6 @@
 #include "G4InclAblaVirtualData.hh"
 
-G4InclAblaVirtualData::G4InclAblaVirtualData()
-{
-	
-}
+G4InclAblaVirtualData::G4InclAblaVirtualData() {}
+G4InclAblaVirtualData::~G4InclAblaVirtualData() {}
 
 bool G4InclAblaVirtualData::setAlpha(int A, int Z, double value)
